Subject: Re: bug#27295: 11.90.2; font lock for \autocites

From: Arash Esbati <[email-masked]>
Date: Sun, 11 Jun 2017 21:01:00 +0200

Alex Branham <[email-masked]> writes:

> I was hoping that something like this could be used:
> https://fuco1.github.io/2017-06-01-The-absolute-awesomeness-of-anchored-font-lock-matchers.html
>
> Setting the limit might be tricky though. I guess it could be the
> first close brace with a space or \ after it --- "} " or "}\",
> perhaps?

AUCTeX usually fontifies a fixed number of arguments, check here for how
[Aa]utocites are coded [1].  I'm not sure if it possible to change this
behavior without bigger surgery in font-latex.el.  OTOH, patches are
always welcome :-)

Best, Arash

Footnotes: 
[1]  http://git.savannah.gnu.org/cgit/auctex.git/tree/font-latex.el#n321